/*
 * Copyright 2025 Sony Corporation
 */

#include <stdio.h>
#include <command.h>
#include <debug_impl.h>

int sony_frp_init(void);

int do_sony_frp_init(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	int ret = -1;

	ret = sony_frp_init();
	if (ret != 0) {
		UBOOT_ERROR("failed to initialize sony frp.\n");
		return CMD_RET_FAILURE;
	}
	return CMD_RET_SUCCESS;
}

U_BOOT_CMD(
	sony_frp_init, CONFIG_SYS_MAXARGS, 1, do_sony_frp_init,
	"init sony frp\n",
	NULL
);
